CREATE TABLE [dbo].[BACKUP_TB_M_USER](
	[USERNAME] [varchar](64) NOT NULL,
	[REG_NO] [varchar](50) NULL,
	[EMPLOYMENT_STATUS] [varchar](50) NULL,
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[PASSWORD] [varchar](130) NOT NULL,
	[PASSWORD_EXPIRATION_DATE] [datetime] NOT NULL,
	[ACCOUNT_VALIDITY_DATE] [datetime] NOT NULL,
	[FIRST_NAME] [varchar](20) NULL,
	[LAST_NAME] [varchar](20) NULL,
	[FULL_NAME] [varchar](80) NULL,
	[PHONE_NO] [varchar](20) NULL,
	[EXT_NO] [varchar](20) NULL,
	[MOBILE_NO] [varchar](20) NULL,
	[EMAIL] [varchar](100) NULL,
	[PERSONAL_ID] [varchar](50) NULL,
	[CLASS_ID] [varchar](50) NULL,
	[JOB_FUNCTION] [varchar](100) NULL,
	[CC_CODE] [varchar](20) NULL,
	[LOCATION_ID] [varchar](50) NULL,
	[MAX_LOGON] [int] NOT NULL,
	[DEFAULT_SYSTEM] [varchar](50) NULL,
	[PRODUCTION_FLAG] [bit] NOT NULL,
	[ACTIVE_DIRECTORY_FLAG] [bit] NOT NULL,
	[LOCK_FLAG] [bit] NOT NULL,
	[NOTIFICATION_FLAG] [bit] NOT NULL,
	[DELETED_FLAG] [bit] NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
	[SHIFT] [varchar](50) NULL,
	[ACTIVE_FLAG] [bit] NULL,
	[PASSWORD_HISTORY] [varchar](255) NULL,
	[PASSWORD_RESET_BY_ADMIN] [bit] NULL,
	[PASSWORD_LAST_CHANGED] [datetime] NULL,
	[SESSION_TIMEOUT] [int] NULL,
 CONSTRAINT [PK_BACKUP_TB_M_USER] PRIMARY KEY CLUSTERED 
(
	[USERNAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_AREA]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_AREA](
	[AREA_KEY] [varchar](50) NOT NULL,
	[AREA_ID] [varchar](50) NOT NULL,
	[AREA_NAME] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_AREA] PRIMARY KEY CLUSTERED 
(
	[AREA_KEY] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_AUDIT_FLAG]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_AUDIT_FLAG](
	[TABLE_ID] [varchar](16) NOT NULL,
	[TABLE_NAME] [varchar](50) NOT NULL,
	[TABLE_ITEM] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_AUDIT_FLAG] PRIMARY KEY CLUSTERED 
(
	[TABLE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_AUTHORIZATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_AUTHORIZATION](
	[USERNAME] [varchar](64) NOT NULL,
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[ROLE_ID] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
PRIMARY KEY CLUSTERED 
(
	[USERNAME] ASC,
	[SYSTEM_ID] ASC,
	[ROLE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_CC_CODE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_CC_CODE](
	[CC_CODE] [varchar](20) NOT NULL,
	[COMPANY_ID] [varchar](50) NOT NULL,
	[CC_NAME] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
 CONSTRAINT [PK_TB_M_CC_CODE] PRIMARY KEY CLUSTERED 
(
	[CC_CODE] ASC,
	[COMPANY_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_CLASS]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_CLASS](
	[CLASS_ID] [varchar](50) NOT NULL,
	[COMPANY_ID] [varchar](50) NOT NULL,
	[CLASS_NAME] [varchar](20) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
 CONSTRAINT [PK_TB_M_CLASS] PRIMARY KEY CLUSTERED 
(
	[CLASS_ID] ASC,
	[COMPANY_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_COMPANY]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_COMPANY](
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[COMPANY_TYPE] [varchar](10) NULL,
	[COMPANY_ABBREVIATION] [varchar](10) NULL,
	[COMPANY_NAME] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_COMPANY] PRIMARY KEY CLUSTERED 
(
	[COMPANY_CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_CONFIGURATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_CONFIGURATION](
	[ID] [varchar](50) NOT NULL,
	[VALUE] [varchar](500) NOT NULL,
	[DESCRIPTION] [varchar](500) NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_CONFIGURATION] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_DATA_KEY]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_DATA_KEY](
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[DATA_KEY] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_SYSTEM_AUTH_GROUP] PRIMARY KEY CLUSTERED 
(
	[SYSTEM_ID] ASC,
	[DATA_KEY] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_EMPLOYMENT_STATUS]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_EMPLOYMENT_STATUS](
	[EMPLOYMENT_ID] [int] IDENTITY(1,1) NOT NULL,
	[EMPLOYMENT_STATUS] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_EMPLOYMENT_STATUS] PRIMARY KEY CLUSTERED 
(
	[EMPLOYMENT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_FEATURE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_FEATURE](
	[FEATURE_ID] [varchar](50) NOT NULL,
	[FEATURE_NAME] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_FEATURE] PRIMARY KEY CLUSTERED 
(
	[FEATURE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_FEATURE_QUALIFIER]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_FEATURE_QUALIFIER](
	[ROLE_ID] [varchar](50) NOT NULL,
	[FUNCTION_ID] [varchar](50) NOT NULL,
	[FEATURE_ID] [varchar](50) NOT NULL,
	[DATA_KEY] [varchar](50) NOT NULL,
	[QUALIFIER] [varchar](255) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_FEATURE_QUALIFIER_1] PRIMARY KEY CLUSTERED 
(
	[ROLE_ID] ASC,
	[FUNCTION_ID] ASC,
	[FEATURE_ID] ASC,
	[DATA_KEY] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_FUNCTION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_FUNCTION](
	[FUNCTION_KEY] [varchar](50) NOT NULL,
	[FUNCTION_ID] [varchar](50) NOT NULL,
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[MODULE_ID] [varchar](50) NOT NULL,
	[FUNCTION_NAME] [varchar](100) NULL,
	[FUNCTION_DESCRIPTION] [varchar](255) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_FUNCTION] PRIMARY KEY CLUSTERED 
(
	[FUNCTION_KEY] ASC,
	[FUNCTION_ID] ASC,
	[SYSTEM_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_GROUP]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_GROUP](
	[GROUP_ID] [varchar](50) NOT NULL,
	[GROUP_NAME] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_GROUP] PRIMARY KEY CLUSTERED 
(
	[GROUP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_JOB_FUNCTION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_JOB_FUNCTION](
	[ID_JOBFUNCTION] [varchar](16) NOT NULL,
	[JOB_FUNCTION] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_LINE_GENTANI]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_LINE_GENTANI](
	[LINE_ID] [int] NOT NULL,
	[LINE_NAME] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_LINE_GENTANI] PRIMARY KEY CLUSTERED 
(
	[LINE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_LOCATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_LOCATION](
	[COMPANY_ID] [varchar](50) NOT NULL,
	[LOCATION_ID] [int] NOT NULL,
	[LOCATION] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
 CONSTRAINT [PK_TB_M_LOCATION_1] PRIMARY KEY CLUSTERED 
(
	[COMPANY_ID] ASC,
	[LOCATION_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_MODULE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_MODULE](
	[MODULE_KEY] [varchar](50) NOT NULL,
	[MODULE_ID] [varchar](50) NOT NULL,
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[MODULE_NAME] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_MODULE] PRIMARY KEY CLUSTERED 
(
	[MODULE_KEY] ASC,
	[MODULE_ID] ASC,
	[SYSTEM_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_ORGANIZATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_ORGANIZATION](
	[ORG_KEY] [varchar](50) NOT NULL,
	[ORG_CODE] [varchar](50) NOT NULL,
	[ORG_NAME] [varchar](100) NULL,
	[ORG_TYPE] [varchar](50) NULL,
	[ABBREVIATION] [varchar](max) NULL,
	[LEVEL_CODE] [int] NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_ORGANIZATION] PRIMARY KEY CLUSTERED 
(
	[ORG_KEY] ASC,
	[ORG_CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_PLANT]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_PLANT](
	[PLANT_KEY] [varchar](50) NOT NULL,
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[PLANT_CODE] [varchar](50) NOT NULL,
	[PLANT_NAME] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_PLANT] PRIMARY KEY CLUSTERED 
(
	[PLANT_KEY] ASC,
	[COMPANY_CODE] ASC,
	[PLANT_CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_PLANT_SHOP]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_PLANT_SHOP](
	[SHOP_KEY] [varchar](50) NOT NULL,
	[PLANT_CODE] [varchar](50) NOT NULL,
	[SHOP_CODE] [varchar](50) NOT NULL,
	[SHOP_NAME] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_PLANT_SHOP] PRIMARY KEY CLUSTERED 
(
	[SHOP_KEY] ASC,
	[PLANT_CODE] ASC,
	[SHOP_CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_POSITION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_POSITION](
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[POSITION_CODE] [varchar](50) NOT NULL,
	[POSITION_NAME] [varchar](100) NOT NULL,
	[POSITION_LEVEL] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_ROLE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_ROLE](
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[ROLE_ID] [varchar](50) NOT NULL,
	[ROLE_NAME] [varchar](100) NOT NULL,
	[ROLE_DESCRIPTION] [varchar](255) NULL,
	[AREA_ID] [varchar](50) NOT NULL,
	[SESSION_TIME_OUT] [int] NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_ROLE_1] PRIMARY KEY CLUSTERED 
(
	[ROLE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_ROLE_FEATURE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_ROLE_FEATURE](
	[ROLE_ID] [varchar](50) NOT NULL,
	[FUNCTION_ID] [varchar](50) NOT NULL,
	[FEATURE_ID] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_ROLE_FEATURE] PRIMARY KEY CLUSTERED 
(
	[ROLE_ID] ASC,
	[FUNCTION_ID] ASC,
	[FEATURE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_ROLE_FUNCTION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_ROLE_FUNCTION](
	[ROLE_ID] [varchar](50) NOT NULL,
	[FUNCTION_ID] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_ROLE_FUNCTION] PRIMARY KEY CLUSTERED 
(
	[ROLE_ID] ASC,
	[FUNCTION_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_SECTION_GENTANI]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_SECTION_GENTANI](
	[SECTION_ID] [int] NOT NULL,
	[SECTION_NAME] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_SECTION_GENTANI] PRIMARY KEY CLUSTERED 
(
	[SECTION_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_SHOP_GENTANI]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_SHOP_GENTANI](
	[SHOP_ID] [int] NOT NULL,
	[SHOP_NAME] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_SHOP_GENTANI] PRIMARY KEY CLUSTERED 
(
	[SHOP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_SYSTEM]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_SYSTEM](
	[SYSTEM_KEY] [varchar](50) NOT NULL,
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[SYSTEM_NAME] [varchar](100) NOT NULL,
	[SYSTEM_DESCRIPTION] [varchar](255) NULL,
	[SYSTEM_URL] [varchar](100) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_SYSTEM] PRIMARY KEY CLUSTERED 
(
	[SYSTEM_KEY] ASC,
	[SYSTEM_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER](
	[USERNAME] [varchar](64) NOT NULL,
	[REG_NO] [varchar](50) NULL,
	[EMPLOYMENT_STATUS] [varchar](50) NULL,
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[PASSWORD] [varchar](130) NOT NULL,
	[PASSWORD_EXPIRATION_DATE] [datetime] NOT NULL,
	[ACCOUNT_VALIDITY_DATE] [datetime] NOT NULL,
	[FIRST_NAME] [varchar](40) NULL,
	[LAST_NAME] [varchar](40) NULL,
	[FULL_NAME] [varchar](80) NULL,
	[PHONE_NO] [varchar](20) NULL,
	[EXT_NO] [varchar](20) NULL,
	[MOBILE_NO] [varchar](20) NULL,
	[EMAIL] [varchar](100) NULL,
	[PERSONAL_ID] [varchar](50) NULL,
	[CLASS_ID] [varchar](50) NULL,
	[JOB_FUNCTION] [varchar](100) NULL,
	[CC_CODE] [varchar](20) NULL,
	[LOCATION_ID] [varchar](50) NULL,
	[MAX_LOGON] [int] NOT NULL,
	[DEFAULT_SYSTEM] [varchar](50) NULL,
	[PRODUCTION_FLAG] [bit] NOT NULL,
	[ACTIVE_DIRECTORY_FLAG] [bit] NOT NULL,
	[LOCK_FLAG] [bit] NOT NULL,
	[NOTIFICATION_FLAG] [bit] NOT NULL,
	[DELETED_FLAG] [bit] NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
	[SHIFT] [varchar](50) NULL,
	[ACTIVE_FLAG] [bit] NULL,
	[PASSWORD_HISTORY] [varchar](255) NULL,
	[PASSWORD_RESET_BY_ADMIN] [bit] NULL,
	[PASSWORD_LAST_CHANGED] [datetime] NULL,
	[SESSION_TIMEOUT] [int] NULL,
 CONSTRAINT [PK_TB_M_USER_1] PRIMARY KEY CLUSTERED 
(
	[USERNAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER_ASSIGNMENT]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER_ASSIGNMENT](
	[ASSIGNMENT_ID] [int] IDENTITY(1,1) NOT NULL,
	[USERNAME] [varchar](64) NOT NULL,
	[DIVISION_CODE] [varchar](50) NOT NULL,
	[ROLE_ID] [varchar](50) NOT NULL,
	[SYSTEM_ID] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_USER_ASSIGNMENT] PRIMARY KEY CLUSTERED 
(
	[ASSIGNMENT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER_GENTANI]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER_GENTANI](
	[GENTANI_KEY] [varchar](50) NOT NULL,
	[USERNAME] [varchar](50) NOT NULL,
	[PLANT_CODE] [varchar](50) NOT NULL,
	[SHOP_CODE] [varchar](50) NOT NULL,
	[SECTION_GENTANI] [int] NOT NULL,
	[LINE_GENTANI] [int] NOT NULL,
	[SHIFT] [varchar](10) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_USER_GENTANI] PRIMARY KEY CLUSTERED 
(
	[GENTANI_KEY] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER_GROUP]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER_GROUP](
	[USERNAME] [varchar](64) NOT NULL,
	[GROUP_ID] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_USER_GROUP] PRIMARY KEY CLUSTERED 
(
	[USERNAME] ASC,
	[GROUP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER_PLANT_SHOP]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER_PLANT_SHOP](
	[IDUSERPLANT] [varchar](16) NOT NULL,
	[USERNAME] [varchar](64) NOT NULL,
	[PLANT_CODE] [varchar](50) NOT NULL,
	[SHOP_CODE] [varchar](50) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_USER_PLANT_SHOP] PRIMARY KEY CLUSTERED 
(
	[IDUSERPLANT] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_M_USER_POSITION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_M_USER_POSITION](
	[ID_POSITION] [varchar](40) NOT NULL,
	[USERNAME] [varchar](64) NULL,
	[COMPANY_CODE] [varchar](50) NULL,
	[UNIT_CODE] [varchar](50) NULL,
	[POSITION_CODE] [varchar](50) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_M_USER_POSITION_1] PRIMARY KEY CLUSTERED 
(
	[ID_POSITION] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_MAP_ORGANIZATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_MAP_ORGANIZATION](
	[ORG_ID] [int] IDENTITY(1,1) NOT NULL,
	[COMPANY_CODE] [varchar](50) NOT NULL,
	[ORG_PARENT] [varchar](100) NOT NULL,
	[ORG_CODE] [varchar](50) NOT NULL,
	[ORG_GROUP] [varchar](3) NOT NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_MAP_ORGANIZATION] PRIMARY KEY CLUSTERED 
(
	[ORG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_ANNOUNCEMENT]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_ANNOUNCEMENT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[TITLE] [varchar](100) NOT NULL,
	[MESSAGE] [varchar](max) NULL,
	[SYSTEM_ID] [varchar](50) NULL,
	[DATE_FROM] [datetime] NULL,
	[DATE_TO] [datetime] NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_R_ANNOUNCEMENT] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_AUDIT_TRAIL]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_AUDIT_TRAIL](
	[VERSION_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[TYPE] [varchar](1) NOT NULL,
	[TABLE_NAME] [varchar](50) NOT NULL,
	[TABLE_ITEM] [varchar](100) NOT NULL,
	[VALUE_BEFORE] [varchar](255) NULL,
	[VALUE_AFTER] [varchar](255) NULL,
	[MODIFIED_BY] [varchar](64) NULL,
	[MODIFIED_DATE] [datetime] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_FILE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_FILE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[FILE_NAME] [varchar](100) NOT NULL,
	[FILE_GROUP] [varchar](50) NULL,
	[DESCRIPTION] [nchar](255) NULL,
	[CREATED_BY] [varchar](64) NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_ORGANIZATION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_ORGANIZATION](
	[LEVEL_CODE] [int] NOT NULL,
	[LEVEL_ORG_NAME] [varchar](100) NOT NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_R_ORGANIZATION1] PRIMARY KEY CLUSTERED 
(
	[LEVEL_CODE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_PICTURE_SLIDE]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_PICTURE_SLIDE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[PICTURE_NAME] [varchar](100) NOT NULL,
	[DESCRIPTION] [varchar](255) NULL,
	[PICTURE_PATH] [varchar](255) NULL,
	[CREATED_BY] [varchar](64) NOT NULL,
	[CREATED_DATE] [datetime] NOT NULL,
	[CHANGED_BY] [varchar](64) NULL,
	[CHANGED_DATE] [datetime] NULL,
 CONSTRAINT [PK_TB_R_PICTURE_SLIDE] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_USER_LOGON]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_USER_LOGON](
	[SESSION _ID] [varchar](max) NOT NULL,
	[USERNAME] [varchar](64) NOT NULL,
	[LOGON_TIME] [date] NULL,
	[LOGOUT_TIME] [date] NULL,
	[IP_ADDRESS] [varchar](16) NULL,
	[BROWSER] [varchar](50) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_USER_SESSION]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_USER_SESSION](
	[ID] [varchar](50) NOT NULL,
	[USERNAME] [varchar](100) NOT NULL,
	[LOGIN_TIME] [datetime] NOT NULL,
	[LOGOUT_TIME] [datetime] NULL,
	[TIMEOUT] [int] NULL,
	[LOCATION] [varchar](50) NOT NULL,
	[CLIENT_AGENT] [varchar](200) NOT NULL,
	[LOCK_TIMEOUT] [int] NOT NULL,
	[LOCKED] [bit] NOT NULL,
	[LOCK_TIME] [datetime] NULL,
	[UNLOCK_TIME] [datetime] NULL,
 CONSTRAINT [PK_TB_R_USER_SESSION] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[TB_R_USER_SESSION_HISTORY]    Script Date: 20/07/2017 9:38:50 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TB_R_USER_SESSION_HISTORY](
	[ID] [varchar](50) NOT NULL,
	[USERNAME] [varchar](100) NOT NULL,
	[LOGIN_TIME] [datetime] NOT NULL,
	[LOGOUT_TIME] [datetime] NULL,
	[TIMEOUT] [int] NULL,
	[LOCATION] [varchar](50) NOT NULL,
	[CLIENT_AGENT] [varchar](200) NOT NULL,
	[LOCK_TIMEOUT] [int] NOT NULL,
	[LOCKED] [bit] NOT NULL,
	[LOCK_TIME] [datetime] NULL,
	[UNLOCK_TIME] [datetime] NULL,
 CONSTRAINT [PK_TB_R_USER_SESSION_HISTORY] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_TB_R_USER_SESSION]    Script Date: 20/07/2017 9:38:50 AM ******/
CREATE NONCLUSTERED INDEX [IX_TB_R_USER_SESSION] ON [dbo].[TB_R_USER_SESSION]
(
	[ID] ASC,
	[USERNAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_TB_R_USER_SESSION_HISTORY]    Script Date: 20/07/2017 9:38:50 AM ******/
CREATE NONCLUSTERED INDEX [IX_TB_R_USER_SESSION_HISTORY] ON [dbo].[TB_R_USER_SESSION_HISTORY]
(
	[ID] ASC,
	[USERNAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[TB_M_CC_CODE]  WITH CHECK ADD  CONSTRAINT [FK_TB_M_CC_CODE_TB_M_COMPANY] FOREIGN KEY([COMPANY_ID])
REFERENCES [dbo].[TB_M_COMPANY] ([COMPANY_CODE])
GO
ALTER TABLE [dbo].[TB_M_CC_CODE] CHECK CONSTRAINT [FK_TB_M_CC_CODE_TB_M_COMPANY]
GO
ALTER TABLE [dbo].[TB_M_CLASS]  WITH CHECK ADD  CONSTRAINT [FK_TB_M_CLASS_TB_M_COMPANY] FOREIGN KEY([COMPANY_ID])
REFERENCES [dbo].[TB_M_COMPANY] ([COMPANY_CODE])
GO
ALTER TABLE [dbo].[TB_M_CLASS] CHECK CONSTRAINT [FK_TB_M_CLASS_TB_M_COMPANY]
GO
ALTER TABLE [dbo].[TB_M_FEATURE_QUALIFIER]  WITH CHECK ADD  CONSTRAINT [FK_TB_M_FEATURE_QUALIFIER_TB_M_FEATURE] FOREIGN KEY([FEATURE_ID])
REFERENCES [dbo].[TB_M_FEATURE] ([FEATURE_ID])
GO
ALTER TABLE [dbo].[TB_M_FEATURE_QUALIFIER] CHECK CONSTRAINT [FK_TB_M_FEATURE_QUALIFIER_TB_M_FEATURE]
GO
ALTER TABLE [dbo].[TB_M_FEATURE_QUALIFIER]  WITH CHECK ADD  CONSTRAINT [FK_TB_M_FEATURE_QUALIFIER_TB_M_ROLE] FOREIGN KEY([ROLE_ID])
REFERENCES [dbo].[TB_M_ROLE] ([ROLE_ID])
GO
ALTER TABLE [dbo].[TB_M_FEATURE_QUALIFIER] CHECK CONSTRAINT [FK_TB_M_FEATURE_QUALIFIER_TB_M_ROLE]
GO
ALTER TABLE [dbo].[TB_M_USER_GROUP]  WITH CHECK ADD  CONSTRAINT [FK_TB_M_USER_GROUP_TB_M_GROUP] FOREIGN KEY([GROUP_ID])
REFERENCES [dbo].[TB_M_GROUP] ([GROUP_ID])
GO
ALTER TABLE [dbo].[TB_M_USER_GROUP] CHECK CONSTRAINT [FK_TB_M_USER_GROUP_TB_M_GROUP]
GO
ALTER TABLE [dbo].[TB_R_USER_LOGON]  WITH CHECK ADD  CONSTRAINT [FK_TB_R_USER_LOGON_TB_M_USER] FOREIGN KEY([USERNAME])
REFERENCES [dbo].[TB_M_USER] ([USERNAME])
GO
ALTER TABLE [dbo].[TB_R_USER_LOGON] CHECK CONSTRAINT [FK_TB_R_USER_LOGON_TB_M_USER]
GO
USE [master]
GO
ALTER DATABASE [SECURITYCENTER] SET  READ_WRITE 
GO
